com.buschmais.jqassistant.plugin.java.impl.scanner

## Class JarScannerPlugin

- java.lang.Object
- - com.buschmais.jqassistant.plugin.common.api.scanner.AbstractScannerPlugin<com.buschmais.jqassistant.plugin.common.api.scanner.filesystem.FileResource,D>
  - - com.buschmais.jqassistant.plugin.common.api.scanner.AbstractArchiveScannerPlugin<JarArchiveDescriptor>
    - - com.buschmais.jqassistant.plugin.java.impl.scanner.JarScannerPlugin

- All Implemented Interfaces:
    com.buschmais.jqassistant.core.scanner.api.ScannerPlugin<com.buschmais.jqassistant.plugin.common.api.scanner.filesystem.FileResource,JarArchiveDescriptor>

      public class JarScannerPlugin
      extends com.buschmais.jqassistant.plugin.common.api.scanner.AbstractArchiveScannerPlugin<JarArchiveDescriptor>

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface com.buschmais.jqassistant.core.scanner.api.ScannerPlugin

      `com.buschmais.jqassistant.core.scanner.api.ScannerPlugin.Requires`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `JarScannerPlugin()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected JarArchiveDescriptor` | `createArchive(com.buschmais.jqassistant.plugin.common.api.scanner.filesystem.FileResource file, String path, com.buschmais.jqassistant.core.scanner.api.ScannerContext scannerContext)`
    `protected com.buschmais.jqassistant.core.scanner.api.Scope` | `createScope(com.buschmais.jqassistant.core.scanner.api.Scope currentScope, JarArchiveDescriptor archiveDescriptor, com.buschmais.jqassistant.core.scanner.api.ScannerContext scannerContext)`
    `protected void` | `destroyScope(com.buschmais.jqassistant.core.scanner.api.ScannerContext scannerContext)`
    `protected String` | `getExtension()`

    - ### Methods inherited from class com.buschmais.jqassistant.plugin.common.api.scanner.AbstractArchiveScannerPlugin

      `accepts, getDescriptorType, getType, scan`

    - ### Methods inherited from class com.buschmais.jqassistant.plugin.common.api.scanner.AbstractScannerPlugin

      `getDirectoryPath, getProperties, getProperty, getStringProperty, getTypeParameter, initialize, initialize`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### JarScannerPlugin

          public JarScannerPlugin()

  - ### Method Detail

    - #### getExtension

          protected String getExtension()

      Specified by:
        `getExtension` in class `com.buschmais.jqassistant.plugin.common.api.scanner.AbstractArchiveScannerPlugin<JarArchiveDescriptor>`

    - #### createScope

          protected com.buschmais.jqassistant.core.scanner.api.Scope createScope(com.buschmais.jqassistant.core.scanner.api.Scope currentScope,
                                                                                 JarArchiveDescriptor archiveDescriptor,
                                                                                 com.buschmais.jqassistant.core.scanner.api.ScannerContext scannerContext)

      Specified by:
        `createScope` in class `com.buschmais.jqassistant.plugin.common.api.scanner.AbstractArchiveScannerPlugin<JarArchiveDescriptor>`

    - #### destroyScope

          protected void destroyScope(com.buschmais.jqassistant.core.scanner.api.ScannerContext scannerContext)

      Specified by:
        `destroyScope` in class `com.buschmais.jqassistant.plugin.common.api.scanner.AbstractArchiveScannerPlugin<JarArchiveDescriptor>`

    - #### createArchive

          protected JarArchiveDescriptor createArchive(com.buschmais.jqassistant.plugin.common.api.scanner.filesystem.FileResource file,
                                                       String path,
                                                       com.buschmais.jqassistant.core.scanner.api.ScannerContext scannerContext)

      Specified by:
        `createArchive` in class `com.buschmais.jqassistant.plugin.common.api.scanner.AbstractArchiveScannerPlugin<JarArchiveDescriptor>`

Copyright © 2015 buschmais GbR. All rights reserved.